<template>
  <!-- 装船作业页面 -->
  <div class="shipTransport">
    <div class="top">
      <el-input
        class="el-input"
        placeholder="请输入内容"
        v-model="input"
        clearable
      >
      </el-input>
<!-- 
       <el-date-picker v-model="startTime" type="datetime" placeholder="选择日期"></el-date-picker>
      <span>至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期"></el-date-picker> -->

      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
    </dilTable>
  </div>
</template>

<script>
import { sjTime } from "@/utils/sharedJsFile";
import { getCookie } from "@/utils/util.js";
export default {
  name: "homeworkPath",
  data() {
    return {
      startTime: null,
      endTime: null,
      input: "",
       startTime: null,
      endTime: null,
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getAllMeasureCommission?apiId=521",
      },
    };
  },
  mounted() {},
  methods: {
    onclick() {
      let startTime = null;
      let endTime = null;
      if (this.startTime) {
        startTime = sjTime(this.startTime);
      }
      if (this.endTime) {
        endTime = sjTime(this.endTime);
      }
      if(startTime && endTime && startTime < endTime){
          this.option.requestUrl = "/api/v1/tms/getAllMeasureCommission?apiId=521&con=" + this.input+
                "&startTime=" +
                startTime +
                "&endTime=" +
                endTime;
      }else{
          this.option.requestUrl = "/api/v1/tms/getAllMeasureCommission?apiId=521&con=" + this.input;
      }
    },
    click(resultId) {
      console.log("aaa" + resultId);
      this.$router.push("/updateLoadShip/" + resultId);
    },
    addclick() {
      this.$router.push("/addLoadShip/");
    },
    deleteclick(scope) {
      let resultId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.axios.post("/api/v1/tms/deleteLoadShip/" + resultId).then(() => {
            this.$message({
              type: "success",
              message: "删除成功!",
            });
            this.option.requestUrl =
              "/api/v1/tms/getLoadShipList?apiId=63&i=" + new Date();
          });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
    refresh() {
      this.$router.go(0);
    },
  },
};
</script>
<style lang="scss" scoped>
.shipTransport {
  .top {
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 40rpx;
    }
    .btn {
      width: 5.5%;
      margin-left: 0.25rem;
    }
  }
}
</style>
